<?xml version='1.0'?>
<?xml-stylesheet href="chrome://global/skin/global.css" type="text/css"?>
<?xml-stylesheet type="text/css" href="dialogs.css"?>

<!DOCTYPE dialog SYSTEM "/barplayer.dtd"><dialog buttonlabelaccept="&dialog.ok;" buttonlabelcancel="&dialog.cancel;" xmlns:html="http://www.w3.org/1999/xhtml" id="addstation-dialog" ondialogaccept="OnAccept();" title="&dialog.addstation.title;" windowtype="barplayer-dialog-addstation" xmlns="http://www.mozilla.org/keymaster/gatekeeper/there.is.only.xul">
        <box class="container">
            <vbox flex="1">
                <hbox>
                    <label control="text-label"/>
                    <label class="add-station-error" control="text-label" id="error-1" value=""/>
                </hbox>
                <hbox>
                    <label control="text-label"/>
                    <label class="add-station-error" control="text-label" id="error-2" value=""/>
                </hbox>
                <hbox>
                    <label control="text-label" value="&dialog.addstation.name;"/>
                    <textbox flex="1" id="station_name" prefix="&dialog.addstation.prefix;"/>
                </hbox>
                <hbox>
                    <label control="text-label" value="&dialog.addstation.url;"/>
                    <textbox flex="1" id="station_url"/>
                </hbox>
                <hbox>
                    <label control="text-label"/>
                    <description style="width: 400px">&dialog.addstation.notice;</description>
                </hbox>
                <hbox>
                    <label control="text-label" value=""/>
                    <checkbox checked="true" id="autoplay" label="&dialog.addstation.autoplay;"/>
                </hbox>
            </vbox>
        </box>
        <script>function OnAccept() {
var event = document.createEvent("Event");
event.initEvent("accept",true,true);
window.dispatchEvent(event);
}
</script>
</dialog>